# Event types

This article describes the various Event Reporting event objects returned by the [List events](/api/smartsheet/openapi/events/list-events) and [List filtered events](/api/smartsheet/openapi/events/list-filtered-events) endpoints.

> **Note:** Event Reporting is a premium add-on available for Enterprise and Advanced Work Management plans only. For details on the Event Reporting add-on, please contact our Sales Team.


All events derive from the [Event](/api/smartsheet/openapi/events/event) object type. Among the other Event properties, each event type has a distinct combination of an `objectType` and `action` property values which forms the event type name.

Here's the event type name convention:

**<OBJECT> - <ACTION>**

For example, **ACCESS_TOKEN - REFRESH** events occur when users refresh their access tokens.

Furthermore, each event type's `additionalDetails` object has event-specific properties.

> **Note:** Each event type's `additionalDetails` object has an `emailAddress` property representing the user responsible for the event, as well as a `sourceIpAddress` property, representing the responsible's user IP address, if the source of the event is "WEB_APP".


> **Important:** Select an event name to visit the event's comprehensive specification and example object.


Continue on to explore the event types categorized by object type, starting with access token events.

## Access token events

[**ACCESS_TOKEN - AUTHORIZE**](/api/smartsheet/openapi/schemas/accesstoken_authorize) - Triggered when an access token creation is authorized by a user.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the event.
* `tokenName`: Name of the newly created access token. (Only included in cases when a name was given to the token)
* `tokenDisplayValue`: 4 or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an Id because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
* `tokenExpirationTimestamp`: Date and time when this access token expires.
* `accessScopes`: Comma-delimited list of access scopes granted to this access token. See these [access scopes](/api/smartsheet/guides/advanced-topics/oauth#access-scopes) for details.
* `appClientId`: The client Id of the app to which this access token was granted. (Only included in cases when the access token was generated for an app)
* `appName`: The name of the app to which this access token was granted. (Only included in cases when the access token was generated for an app)


[**ACCESS_TOKEN - REFRESH**](/api/smartsheet/openapi/schemas/accesstoken_refresh) - Triggered when an access token is refreshed. See the [`POST /token`](/api/smartsheet/openapi/tokens/tokens-getorrefresh) operation for more information about access token refresh.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the event.
* `tokenDisplayValue`: 4 or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an Id because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
* `tokenExpirationTimestamp`: Date and time when this access token expires.


[**ACCESS_TOKEN - REVOKE**](/api/smartsheet/openapi/schemas/accesstoken_revoke) - Triggered when an access token is revoked.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the event.
* `tokenDisplayValue`: 4 or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an Id because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
* `tokenUserId`: Id of the user who owns this token.


## Account events

[**ACCOUNT - BULK_UPDATE**](/api/smartsheet/openapi/schemas/account_bulkupdate) - Triggered when an admin bulk updates users. This can be done through User Management console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**ACCOUNT - DOWNLOAD_SHEET_ACCESS_REPORT**](/api/smartsheet/openapi/schemas/account_downloadsheetaccessreport) - Triggered when an admin downloads sheet access report for an organization account. This can be done through User Management console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**ACCOUNT - DOWNLOAD_USER_LIST**](/api/smartsheet/openapi/schemas/account_downloaduserlist) - Triggered when an admin downloads user list report for an organization account. This can be done through User Management console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**ACCOUNT - DOWNLOAD_LOGIN_HISTORY**](/api/smartsheet/openapi/schemas/account_downloadloginhistory) - Triggered when an admin downloads login history report for the users. This can be done through Login History console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**ACCOUNT - DOWNLOAD_PUBLISHED_ITEMS_REPORT**](/api/smartsheet/openapi/schemas/account_downloadpublisheditemsreport) - Triggered when an admin downloads published items report. This can be done through User Management console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**ACCOUNT - IMPORT_USERS**](/api/smartsheet/openapi/schemas/account_importusers) - Triggered when an admin imports users through a CSV file. This can be done through User Administration console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**ACCOUNT - LIST_SHEETS**](/api/smartsheet/openapi/schemas/account_listsheets) - Triggered when a summarized list of all sheets owned by the members of the organization account is generated. This can be done through API.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**ACCOUNT - RENAME**](/api/smartsheet/openapi/schemas/account_rename) - Triggered when the organization account is renamed. This can be done through Account Administration console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the event.
* `newName`: New name of the organization account
* `oldName`: Previous name of the organization account


[**ACCOUNT - UPDATE_MAIN_CONTACT**](/api/smartsheet/openapi/schemas/account_updatemaincontact) - Triggered when the main contact of the organization account is updated. This can be done through Account Administration console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the event.
* `newContactUserId`: Id of the new main contact
* `oldContactUserId`: Id of the former main contact


## Admin Center events

[**AUTHENTICATION - ACTIVATE_DOMAIN_STRICT**](/api/smartsheet/openapi/schemas/authentication_activate_domain_strict) - Triggered when an admin activates the domain strict policy for one or more domains in the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs where domain strict is activated
* `mfaEnabled`: "true" or "false" indicating whether MFA is enabled for this policy


[**AUTHENTICATION - ACTIVATE_EMAIL_BASED_TOTP**](/api/smartsheet/openapi/schemas/authentication_activate_email_based_totp) - Triggered when an admin activates email-based TOTP authentication for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs where email TOTP is activated
* `mfaEnabled`: "true" or "false" indicating whether MFA is enabled


[**AUTHENTICATION - ACTIVATE_MFA_EMAIL_BASED_TOTP**](/api/smartsheet/openapi/schemas/authentication_activate_mfa_email_based_totp) - Triggered when an admin activates MFA requirement for email-based TOTP for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs affected


[**AUTHENTICATION - ACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK**](/api/smartsheet/openapi/schemas/authentication_activate_mfa_sysadmin_totp_fallback) - Triggered when an admin activates the MFA requirement for system administrator TOTP fallback policy for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs affected


[**AUTHENTICATION - ACTIVATE_SAML_IDP_CONFIG**](/api/smartsheet/openapi/schemas/authentication_activate_saml_idp_config) - Triggered when an admin activates a SAML identity provider configuration from the UI.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: The domains for which this policy is activated


[**AUTHENTICATION - ACTIVATE_SYSADMIN_TOTP_FALLBACK**](/api/smartsheet/openapi/schemas/authentication_activate_sysadmin_totp_fallback) - Triggered when an admin activates the system administrator TOTP fallback policy for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs where system admin TOTP fallback is activated
* `mfaEnabled`: "true" or "false" indicating whether MFA is enabled


[**AUTHENTICATION - ADD_SAML_IDP**](/api/smartsheet/openapi/schemas/authentication_add_saml_idp) - Triggered when an admin adds a new SAML identity provider to the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `isOkta`: "true" or "false" indicating whether this is an Okta IdP
* `displayName`: Human-readable name of the IdP
* `urlBased`: "true" or "false" indicating whether metadata is URL-based vs file-based


[**AUTHENTICATION - DEACTIVATE_DOMAIN_STRICT**](/api/smartsheet/openapi/schemas/authentication_deactivate_domain_strict) - Triggered when an admin deactivates the domain strict policy for one or more domains in the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs where domain strict is deactivated
* `mfaEnabled`: "true" or "false" indicating whether MFA was enabled for this policy


[**AUTHENTICATION - DEACTIVATE_EMAIL_BASED_TOTP**](/api/smartsheet/openapi/schemas/authentication_deactivate_email_based_totp) - Triggered when an admin deactivates email-based TOTP authentication for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs where email TOTP is deactivated
* `mfaEnabled`: "true" or "false" indicating whether MFA was enabled


[**AUTHENTICATION - DEACTIVATE_MFA_EMAIL_BASED_TOTP**](/api/smartsheet/openapi/schemas/authentication_deactivate_mfa_email_based_totp) - Triggered when an admin deactivates MFA requirement for email-based TOTP for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs affected


[**AUTHENTICATION - DEACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK**](/api/smartsheet/openapi/schemas/authentication_deactivate_mfa_sysadmin_totp_fallback) - Triggered when an admin deactivates the MFA requirement for system administrator TOTP fallback policy for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs affected


[**AUTHENTICATION - DEACTIVATE_SAML_IDP_CONFIG**](/api/smartsheet/openapi/schemas/authentication_deactivate_saml_idp_config) - Triggered when an admin deactivates a SAML identity provider configuration from the UI

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: The domains for which this policy is deactivated


[**AUTHENTICATION - DEACTIVATE_SYSADMIN_TOTP_FALLBACK**](/api/smartsheet/openapi/schemas/authentication_deactivate_sysadmin_totp_fallback) - Triggered when an admin deactivates the system administrator TOTP fallback policy for one or more domains.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `domains`: Comma-separated list of FQDNs where system admin TOTP fallback is deactivated
* `mfaEnabled`: "true" or "false" indicating whether MFA was enabled


[**AUTHENTICATION - DELETE_SAML_IDP**](/api/smartsheet/openapi/schemas/authentication_delete_saml_idp) - Triggered when an admin deletes a SAML identity provider from the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `displayName`: Name of the deleted IdP


[**AUTHENTICATION - UPDATE_SAML_IDP**](/api/smartsheet/openapi/schemas/authentication_update_saml_idp) - Triggered when an admin updates a SAML identity provider's configuration (e.g. display name, metadata, or verification state).

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldDisplayName` / `newDisplayName`: Previous and new display name (conditionally included)
* `oldMetadata` / `newMetadata`: Previous and new SAML metadata XML or URL (conditionally included)
* `isOkta`: "true" or "false" (only if the Okta flag changed)
* `oldState` / `newState`: Previous and new IdP state (e.g., "PENDING", "VERIFIED") (conditionally included)


[**LICENSE_REQUESTS - DECLINE_LICENSE**](/api/smartsheet/openapi/schemas/license_requests_decline_license) - Triggered when an admin declines a user's license request.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `userEmail`: Email address of the user who requested the license (optional - may not be present if email cannot be retrieved)


[**LICENSE_REQUESTS - GRANT_LICENSE**](/api/smartsheet/openapi/schemas/license_requests_grant_license) - Triggered when an admin grants a license to a user in response to a license request.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `userEmail`: Email address of the user who requested the license (optional - may not be present if email cannot be retrieved)


[**POLICY_DATA_EGRESS - ACTIVATE**](/api/smartsheet/openapi/schemas/policy_data_egress_activate) - Triggered when an admin activates a data egress policy.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `name`: Policy name
* `restrictedActions`: Array notation string of restricted actions
* `scope`: Array notation string of asset types


[**POLICY_DATA_EGRESS - CREATE**](/api/smartsheet/openapi/schemas/policy_data_egress_create) - Triggered when an admin creates a data egress policy restricting actions on specified asset types.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `name`: Human-readable policy name
* `restrictedActions`: Comma-separated list in array notation, e.g., "[EXPORT, SAVE_AS_NEW]". Valid actions: EXPORT, PUBLISH, SAVE_AS_NEW, SAVE_AS_TEMPLATE
* `scope`: Comma-separated list of asset types in array notation, e.g., "[sheets, reports]". Valid types: sheets, reports, dashboards, dynamicviews


[**POLICY_DATA_EGRESS - DEACTIVATE**](/api/smartsheet/openapi/schemas/policy_data_egress_deactivate) - Triggered when an admin deactivates a data egress policy.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `name`: Policy name
* `restrictedActions`: Array notation string of restricted actions
* `scope`: Array notation string of asset types


[**POLICY_DATA_EGRESS - DELETE**](/api/smartsheet/openapi/schemas/policy_data_egress_delete) - Triggered when an admin deletes a data egress policy.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `name`: Name of deleted policy
* `restrictedActions`: Array notation string of restricted actions that were in effect
* `scope`: Array notation string of asset types that were covered
* `isDisabled`: Whether the policy was disabled at time of deletion


[**POLICY_DATA_EGRESS - UPDATE**](/api/smartsheet/openapi/schemas/policy_data_egress_update) - Triggered when an admin updates a data egress policy.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `name`: Policy name
* `restrictedActions`: Array notation string of restricted actions
* `scope`: Array notation string of asset types
* `isDisabled`: Whether the policy is disabled


[**POLICY_DATA_RETENTION - ACTIVATE**](/api/smartsheet/openapi/schemas/policy_data_retention_activate) - Triggered when an admin activates the data retention policy for one or more asset types.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `scope`: Array notation string of asset types subject to retention policy


[**POLICY_DATA_RETENTION - CREATE**](/api/smartsheet/openapi/schemas/policy_data_retention_create) - Triggered when a data retention policy is configured for the first time

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `scope`: Comma-separated list in array notation, e.g., "[sheets, reports]". Valid types: sheets, reports, dashboards
* `isDisabled`: Whether the policy is created in disabled state


[**POLICY_DATA_RETENTION - DEACTIVATE**](/api/smartsheet/openapi/schemas/policy_data_retention_deactivate) - Triggered when an admin deactivates the data retention policy.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `scope`: Array notation string of asset types


[**POLICY_DATA_RETENTION - UPDATE**](/api/smartsheet/openapi/schemas/policy_data_retention_update) - Triggered when an admin updates the data retention policy's scope or configuration.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `scope`: Array notation string of asset types
* `isDisabled`: Current disabled state


[**POLICY_SAFE_SHARING - ACTIVATE**](/api/smartsheet/openapi/schemas/policy_safe_sharing_activate) - Triggered when an admin activates the safe sharing policy for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**POLICY_SAFE_SHARING - ADD_REQUEST_FORM**](/api/smartsheet/openapi/schemas/policy_safe_sharing_add_request_form) - Triggered when an admin adds (or updates) the request form used to grant exceptions to the safe sharing policy.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `isDisabled`: Current policy activation state


[**POLICY_SAFE_SHARING - DEACTIVATE**](/api/smartsheet/openapi/schemas/policy_safe_sharing_deactivate) - Triggered when an admin deactivates the safe sharing policy.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURE_EXTERNAL_ACCESS - ACTIVATE_MFA**](/api/smartsheet/openapi/schemas/secure_external_access_activate_mfa) - Triggered when an admin activates the multi-factor authentication (MFA) policy for external collaborators.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `enforcementLevel`: MFA enforcement scope. Valid values: "PLAN" (enforce at plan level) or "WORKSPACE" (allow workspace admins to opt-in)


[**SECURE_EXTERNAL_ACCESS - ACTIVATE_SSO_FOR_EXTERNAL_COLLABORATORS**](/api/smartsheet/openapi/schemas/secure_external_access_activate_sso_for_external_collaborators) - Triggered when an admin activates Single Sign-On (SSO) enforcement for external collaborators.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURE_EXTERNAL_ACCESS - DEACTIVATE_MFA**](/api/smartsheet/openapi/schemas/secure_external_access_deactivate_mfa) - Triggered when an admin deactivates the multi-factor authentication (MFA) policy for external collaborators.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `enforcementLevel`: MFA enforcement scope. Valid values: "PLAN" (enforce at plan level) or "WORKSPACE" (allow workspace admins to opt-in)


[**SECURE_EXTERNAL_ACCESS - DEACTIVATE_SSO_FOR_EXTERNAL_COLLABORATORS**](/api/smartsheet/openapi/schemas/secure_external_access_deactivate_sso_for_external_collaborators) - Triggered when an admin deactivates Single Sign-On (SSO) enforcement for external collaborators.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURE_EXTERNAL_ACCESS - MFA_OPTION_ENFORCE_ALL_PLAN**](/api/smartsheet/openapi/schemas/secure_external_access_mfa_option_enforce_all_plan) - Triggered when an admin sets the MFA enforcement option to enforce across the entire plan for external collaborators.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURE_EXTERNAL_ACCESS - MFA_OPTION_WORKSPACE_OPT_IN**](/api/smartsheet/openapi/schemas/secure_external_access_mfa_option_workspace_opt_in) - Triggered when an admin sets the MFA enforcement option to workspace opt-in for external collaborators.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_ACCOUNT_DISCOVERY**](/api/smartsheet/openapi/schemas/security_controls_activate_account_discovery) - Triggered when an admin activates account discovery for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_API_TOKEN_EXPIRATION_PERIOD**](/api/smartsheet/openapi/schemas/security_controls_activate_api_token_expiration_period) - Triggered when an admin activates the API token expiration period policy for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_ATTACHMENT**](/api/smartsheet/openapi/schemas/security_controls_activate_attachment) - Triggered when an admin activates a specific attachment source for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `type`: Attachment provider type; one of: "upload" | "google_drive" | "onedrive" | "box" | "dropbox" | "evernote" | "egnyte" | "link_url"


[**SECURITY_CONTROLS - ACTIVATE_DASHBOARD_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_activate_dashboard_publishing) - Triggered when an admin activates the ability to publish dashboards for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_DIRECTORY_INTEGRATION**](/api/smartsheet/openapi/schemas/security_controls_activate_directory_integration) - Triggered when an admin activates the directory integration for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_CALENDAR_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_activate_calendar_publishing) - Triggered when an admin activates calendar publishing for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `publicationType`: Type of calendar publishing: "iCal" or "calendarApp"


[**SECURITY_CONTROLS - ACTIVATE_IMAGES_IN_SHEET_CELLS**](/api/smartsheet/openapi/schemas/security_controls_activate_images_in_sheet_cells) - Triggered when an admin activates the ability to add images to sheet cells for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_OFFLINE_FORM_SUBMISSION**](/api/smartsheet/openapi/schemas/security_controls_activate_offline_form_submission) - Triggered when an admin activates offline form submission for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_REPORT_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_activate_report_publishing) - Triggered when an admin activates the ability to publish reports for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_SHEET_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_activate_sheet_publishing) - Triggered when an admin activates the ability to publish sheets for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_SMARTSHEET_TENANT_ID**](/api/smartsheet/openapi/schemas/security_controls_activate_smartsheet_tenant_id) - Triggered when an admin activates the Smartsheet tenant ID security control for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - ACTIVATE_WEB_CONTENT_WIDGET**](/api/smartsheet/openapi/schemas/security_controls_activate_web_content_widget) - Triggered when an admin activates the web content widget for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `includeValidatedDomains`: Whether validated domains are included: "true" | "false"


[**SECURITY_CONTROLS - DEACTIVATE_ACCOUNT_DISCOVERY**](/api/smartsheet/openapi/schemas/security_controls_deactivate_account_discovery) - Triggered when an admin deactivates account discovery for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_API_TOKEN_EXPIRATION_PERIOD**](/api/smartsheet/openapi/schemas/security_controls_deactivate_api_token_expiration_period) - Triggered when an admin deactivates the API token expiration period policy for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_ATTACHMENT**](/api/smartsheet/openapi/schemas/security_controls_deactivate_attachment) - Triggered when an admin deactivates a specific attachment source for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `type`: Attachment provider type; one of: "upload" | "google_drive" | "onedrive" | "box" | "dropbox" | "evernote" | "egnyte" | "link_url"


[**SECURITY_CONTROLS - DEACTIVATE_DASHBOARD_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_deactivate_dashboard_publishing) - Triggered when an admin deactivates the ability to publish dashboards for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_DIRECTORY_INTEGRATION**](/api/smartsheet/openapi/schemas/security_controls_deactivate_directory_integration) - Triggered when an admin deactivates the directory integration for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_CALENDAR_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_deactivate_calendar_publishing) - Triggered when an admin deactivates calendar publishing for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `publicationType`: Type of calendar publishing: "iCal" or "calendarApp"


[**SECURITY_CONTROLS - DEACTIVATE_IMAGES_IN_SHEET_CELLS**](/api/smartsheet/openapi/schemas/security_controls_deactivate_images_in_sheet_cells) - Triggered when an admin deactivates the ability to add images to sheet cells for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_OFFLINE_FORM_SUBMISSION**](/api/smartsheet/openapi/schemas/security_controls_deactivate_offline_form_submission) - Triggered when an admin deactivates offline form submission for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_REPORT_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_deactivate_report_publishing) - Triggered when an admin deactivates the ability to publish reports for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_SHEET_PUBLISHING**](/api/smartsheet/openapi/schemas/security_controls_deactivate_sheet_publishing) - Triggered when an admin deactivates the ability to publish sheets for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_SMARTSHEET_TENANT_ID**](/api/smartsheet/openapi/schemas/security_controls_deactivate_smartsheet_tenant_id) - Triggered when an admin deactivates the Smartsheet tenant ID security control for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


[**SECURITY_CONTROLS - DEACTIVATE_WEB_CONTENT_WIDGET**](/api/smartsheet/openapi/schemas/security_controls_deactivate_web_content_widget) - Triggered when an admin deactivates the web content widget for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `includeValidatedDomains`: Whether validated domains are included: "true" | "false"


[**SECURITY_CONTROLS - UPDATE_API_TOKEN_EXPIRATION_PERIOD**](/api/smartsheet/openapi/schemas/security_controls_update_api_token_expiration_period) - Triggered when an admin updates the API token expiration period value or interval.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldValue`: Previous expiration period in days as numeric string (e.g., "90")
* `newValue`: New expiration period in days as numeric string (e.g., "180")
* `oldInterval`: Previous interval string representation (e.g., "P90D")
* `newInterval`: New interval string representation (e.g., "P180D")


[**SECURITY_CONTROLS - UPDATE_DASHBOARD_PUBLISHING_OPTIONS**](/api/smartsheet/openapi/schemas/security_controls_update_dashboard_publishing_options) - Triggered when an admin updates dashboard publishing options for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldValue`: Previous permission: "anyone_with_link" | "same_plan_users_only"
* `newValue`: New permission: "anyone_with_link" | "same_plan_users_only"


[**SECURITY_CONTROLS - UPDATE_DIRECTORY_INTEGRATION**](/api/smartsheet/openapi/schemas/security_controls_update_directory_integration) - Triggered when an admin updates the directory integration configuration.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldRemoveFromSharing`: Previous "remove from sharing" flag: "true" | "false"
* `newRemoveFromSharing`: New "remove from sharing" flag: "true" | "false"
* `oldTransferSheets`: Previous "transfer sheets" flag: "true" | "false"
* `newTransferSheets`: New "transfer sheets" flag: "true" | "false"
* `oldEscrowEmail`: Email of previous escrow user (optional - only present if user ID changed)
* `newEscrowEmail`: Email of new escrow user (optional - only present if user ID changed)


[**SECURITY_CONTROLS - UPDATE_FORM_ACCESS_PERMISSIONS**](/api/smartsheet/openapi/schemas/security_controls_update_form_access_permissions) - Triggered when an admin updates form access permissions (e.g. anyone with link, Smartsheet login required, or safe sharing).

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldValue`: Previous permission: "anyone_with_link" | "smartsheet_login" | "safe_sharing"
* `newValue`: New permission: "anyone_with_link" | "smartsheet_login" | "safe_sharing"


[**SECURITY_CONTROLS - UPDATE_GROUP_MEMBERSHIP_SCOPE**](/api/smartsheet/openapi/schemas/security_controls_update_group_membership_scope) - Triggered when an admin updates the group membership scope (e.g. restricting membership to account users only).

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldValue`: Previous scope: "people_in_account_and_external_contacts" | "only_people_in_account"
* `newValue`: New scope: "people_in_account_and_external_contacts" | "only_people_in_account"


[**SECURITY_CONTROLS - UPDATE_NOTIFICATIONS_AND_REQUESTS**](/api/smartsheet/openapi/schemas/security_controls_update_notifications_and_requests) - Triggered when an admin updates a notifications and requests configuration property (e.g. external sheet access for automations).

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldValue`: Previous permission level; for sheet access: "only_shared_users" | "only_shared_users_and_people_in_your_account" | "anyone" | "unknown"; for delivery integration: "anyone_both" (Slack+Teams) | "anyone_teams" | "anyone_slack" | "anyone_none" | "unknown"
* `newValue`: New permission level (same options as oldValue)


[**SECURITY_CONTROLS - UPDATE_REPORT_PUBLISHING_OPTIONS**](/api/smartsheet/openapi/schemas/security_controls_update_report_publishing_options) - Triggered when an admin updates report publishing options (e.g. restricting publishing to same-plan users).

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldValue`: Previous permission: "anyone_with_link" | "same_plan_users_only"
* `newValue`: New permission: "anyone_with_link" | "same_plan_users_only"


[**SECURITY_CONTROLS - UPDATE_SHEET_PUBLISHING_OPTIONS**](/api/smartsheet/openapi/schemas/security_controls_update_sheet_publishing_options) - Triggered when an admin updates sheet publishing options for the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `oldValue`: Previous permission: "anyone_with_link" | "same_plan_users_only"
* `newValue`: New permission: "anyone_with_link" | "same_plan_users_only"


[**SECURITY_CONTROLS - UPDATE_WEB_CONTENT_WIDGET**](/api/smartsheet/openapi/schemas/security_controls_update_web_content_widget) - Triggered when an admin updates the web content widget configuration (e.g. validated domains setting).

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `includeValidatedDomains`: Whether validated domains are included: "true" | "false"


[**USER - DEACTIVATE**](/api/smartsheet/openapi/schemas/user_deactivate) - Triggered when an admin deactivates a user from the organization account.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `userEmail`: Email address of the user being deactivated


[**USER - MERGE_USERS**](/api/smartsheet/openapi/schemas/user_merge_users) - Triggered when an admin merges one user account into another, transferring source ownership to the destination user.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `sourceEmail`: Email address of the source user being merged (account that will be removed)
* `destinationEmail`: Email address of the destination user (account that receives merged data)


[**USER - VIEW_USER_ROLES_AND_REPORTS**](/api/smartsheet/openapi/schemas/user_view_user_roles_and_reports) - Triggered when an admin views the user roles and reports section in the User Management console.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".


## Attachment events

[**ATTACHMENT - CREATE**](/api/smartsheet/openapi/schemas/attachment_create) - Triggered when an attachment is created (i.e. uploaded) in a sheet, in a sheet row, or in a workspace.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the sheet that contains the attachment. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace that directly contains the attachment. (This property is included only if the `sheetId` property above isn't included)
* `attachmentName`: Name of the attachment.


[**ATTACHMENT - UPDATE**](/api/smartsheet/openapi/schemas/attachment_update) - Triggered when an existing attachment is updated (e.g. its description changed).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the sheet that contains the attachment. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace that directly contains the attachment. (This property is included only if the `sheetId` property above isn't included)


[**ATTACHMENT - LOAD**](/api/smartsheet/openapi/schemas/attachment_load) - Triggered when an attachment is loaded (i.e. viewed or downloaded).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the sheet that contains the attachment. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace that directly contains the attachment. (This property is included only if the `sheetId` property above isn't included)
* `multiFileDownloadName`: name of the compressed file containing the multiple attachments downloaded at once. (Only included if more than one attachment was selected to be downloaded in the same user action. Please notice that multi-attachment download action allows the user to specify the name of the zip file that should include all attachments, which is what is being provided here. The download of a single attachment uses the attachment name as the download file name and it cannot be changed, and it isn't provided in this event because it is provided in the ATTACHMENT-CREATE event or by querying Smartsheet API with the attachment ID)


[**ATTACHMENT - DELETE**](/api/smartsheet/openapi/schemas/attachment_delete) - Triggered when an attachment is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the sheet that contains the attachment. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace that directly contains the attachment. (This property is included only if the `sheetId` property above isn't included)


[**ATTACHMENT - SEND**](/api/smartsheet/openapi/schemas/attachment_send) - Triggered when an attachment is **directly** (i.e. instead of indirectly as part of another operation) sent by email to user(s) or user group(s).

An individual **ATTACHMENT - SEND** event is issued for each user or user group listed as recipient.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `recipientEmail`: Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested), e.g. "john@gmail.com". (This property is included only if the recipientGroupId property below isn't included)
* `recipientGroupId`: Single ID of a user group explicitly included in the recipient list, e.g. `"345987624123"`. (This property is included only if the `recipientEmail` property above isn't included)
* `sheetId`: Id of the sheet that contains the attachment. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace that directly contains the attachment. (This property is included only if the `sheetId` property above isn't included)


## Authentication events

[**AUTHENTICATION - LOGIN**](/api/smartsheet/openapi/schemas/authentication_login) - Triggered when a user logs into Smartsheet. The details contain information about login method and also if the login attempt was a failure or a success

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `loginResult`: Result of the login attempt: "success" or "failure"
* `loginMethod`: Authentication method used (e.g., "EMAIL_PASSWORD")
* `reason`: Failure reason (only included when loginResult is "failure"), e.g., "AUTH_NO_MATCHING_USER"


[**AUTHENTICATION - LOGOUT**](/api/smartsheet/openapi/schemas/authentication_logout) - Triggered when a user logs out of Smartsheet. Contains details of the reason for logout.

**additionalDetails:**

* `sourceIpAddress`: IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
* `logoutMethod`: How the logout was initiated (e.g., "user_signout")
* `logoutResult`: Result of the logout (e.g., "success")


## Dashboard events

[**DASHBOARD - CREATE**](/api/smartsheet/openapi/schemas/dashboard_create) - Triggered when a dashboard is created. Dashboards can be created in the UI with the `Create New` button, by selecting the `Save As New` option on an existing dashboard, or through the API.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the event.
* `dashboardName`: Name of the newly created dashboard
* `sourceGlobalTemplateId`: Id of the global template that was used to create the dashboard. (Specific to `Create New` actions)
* `sourceObjectId`: Id of the source dashboard. (Specific to `Save As New` actions)
* `sourceType`: The source object used to create the dashboard, currently only 'global_template' is valid


[**DASHBOARD - DELETE**](/api/smartsheet/openapi/schemas/dashboard_delete)- Triggered when a dashboard is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the event.


[**DASHBOARD - LOAD**](/api/smartsheet/openapi/schemas/dashboard_load) - Triggered when a dashboard is viewed in the UI or loaded through the API.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**DASHBOARD - ADD_PUBLISH**](/api/smartsheet/openapi/schemas/dashboard_addpublish) - Triggered when a user publishes a dashboard or republishes a dashboard with new settings.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessibleBy`: Indicates who can use the link to view the dashboard: `"ALL"` (accessible to any person with the link), `"ORG"` (accessible only by those belonging to the org).
* `publishType`: Indicates permissions granted to users with a valid link. All dashboard publishes are read only: `"read_only"`.
* `publishFormat`: Indicates format of the published dashboard. Dashboards are published in a rich media format: `"FULL"`,


[**DASHBOARD - REMOVE_PUBLISH**](/api/smartsheet/openapi/schemas/dashboard_removepublish) - Triggered when a user disables publish option for a dashboard.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**DASHBOARD - ADD_SHARE**](/api/smartsheet/openapi/schemas/dashboard_addshare) - Triggered when a group or user is added to the dashboard's sharing list, or when a group or user's share permissions are changed.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the group or user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the dashboard.
* `userId`: Id of the user that was added to the dashboard's sharing list. (Specific to share to user actions)
* `groupId`: Id of the group that was added to the dashboard's sharing list. (Specific to share to group actions)


[**DASHBOARD - REMOVE_SHARE**](/api/smartsheet/openapi/schemas/dashboard_removeshare) - Triggered when a group or user is removed from a dashboard's sharing list.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `userId`: Id of the user that was removed from the dashboard's sharing list. (Specific to remove share from user actions)
* `groupId`: Id of the group that was removed from the dashboard's sharing list. (Specific to remove share from group actions)


[**DASHBOARD - ADD_SHARE_MEMBER**](/api/smartsheet/openapi/schemas/dashboard_addsharemember) - Triggered when a user is added to a group that a dashboard has been shared to via the dashboard's sharing list, or via a workspace's sharing list. If a dashboard has been shared to a group directly via the dashboard's sharing list, and via a workspace's sharing list, then an event will be generated for each of these shares.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level that has been granted to the user via group membership; it is not the user's effective access level for the dashboard.
* `groupId`: Id of the group the user was added to.
* `userId`: Id of the user that was added to the group.
* `workspaceId`: Id of the workspace that the group is shared to. (Specific to cases where the dashboard is shared to the group via a workspace's sharing list)


[**DASHBOARD - REMOVE_SHARE_MEMBER**](/api/smartsheet/openapi/schemas/dashboard_removesharemember) - Triggered when a user is removed from a group that a dashboard has been shared to via the dashboard's sharing list, or via a workspace's sharing list. If a dashboard has been shared to a group directly via the dashboard's sharing list, and via a workspace's sharing list, then an event will be generated for each of these shares.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `groupId`: Id of the group that the user was removed from.
* `userId`: Id of user that was removed from the group.
* `workspaceId`: Id of the workspace that the group is shared to. (Specific to cases where the dashboard is shared to the group via a workspace's sharing list)


[**DASHBOARD - ADD_WORKSPACE_SHARE**](/api/smartsheet/openapi/schemas/dashboard_addworkspaceshare) - Triggered when a group or user is added to a workspace's sharing list. Note that this event will appear for each dashboard that is in the workspace. If a group or user is added to a workspace's sharing list and the workspace is empty, then no events will be recorded.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the group or user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the dashboard.
* `userId`: Id of the user that the workspace was shared to. (Specific to share to user actions)
* `groupId`: Id of the group that the workspace was shared to. (Specific to share to group actions)
* `workspaceId`: Id of the workspace that was shared to the group or user.


[**DASHBOARD - REMOVE_WORKSPACE_SHARE**](/api/smartsheet/openapi/schemas/dashboard_removeworkspaceshare) - Triggered when a group or user is removed from a workspace's sharing list. Note that this event will appear for each dashboard that is in the workspace. If a group or user is removed from a workspace's sharing list and the workspace is empty, then no events will be recorded.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `userId`: Id of the user that was removed from the workspace. (Specific to remove share from user actions)
* `groupId`: Id of the group that was removed from the workspace. (Specific to remove share from group actions)
* `workspaceId`: Id of the workspace the group or user was removed from.


[**DASHBOARD - TRANSFER_OWNERSHIP**](/api/smartsheet/openapi/schemas/dashboard_transferownership) - Triggered when the ownership of a dashboard is transferred.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldUserId`: Id of the former dashboard owner.
* `oldAccessLevel`: New access level of the former owner: `"ADMIN"`.
* `newUserId`: Id of the new dashboard owner.
* `newAccessLevel`: New access level of the new owner: `"OWNER"`.


[**DASHBOARD - MOVE**](/api/smartsheet/openapi/schemas/dashboard_move) - Triggered when a dashboard is moved between workspaces and/or folders.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `newParentContainerId`: Id of the destination folder for the move event. (Specific to actions where the dashboard was moved to a different folder).
* `parentContainerId`: Id of the parent container of the dashboard. (Specific to move events where a folder containing the dashboard is moved to a folder in a different workspace, indicates that the dashboard has moved to a new workspace but is still within the same folder)
* `folderName`: name of the destination folder for the move event. (Specific to actions where the dashboard was moved to a different folder).
* `workspaceId`: Id of the workspace the dashboard is currently in. If the move was between two workspaces the `workspaceId` will be the Id of the destination workspace.


[**DASHBOARD - PURGE**](/api/smartsheet/openapi/schemas/dashboard_purge) - Triggered when a dashboard is deleted from the deleted items bin.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**DASHBOARD - RENAME**](/api/smartsheet/openapi/schemas/dashboard_rename) - Triggered when a dashboard is renamed in the UI or via the API (update).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldName`: Old name of the dashboard.
* `newName`: New name of the dashboard.


[**DASHBOARD - RESTORE**](/api/smartsheet/openapi/schemas/dashboard_restore) -  Triggered when a dashboard is in the deleted items bin and is restored (`Undelete`).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**DASHBOARD - SAVE_AS_NEW**](/api/smartsheet/openapi/schemas/dashboard_saveasnew) - Triggered when a user saves a copy of a dashboard by using the `Save As New` option.

This event is recorded for the original  dashboard. If the original dashboard belongs to a different organization, then `Save As New` event will be generated for the organization with original dashboard and for the organization with copied dashboard.
For copied dashboard, `Save As New` event is paired with a `DASHBOARD - CREATE` event.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**DASHBOARD - UPDATE**](/api/smartsheet/openapi/schemas/dashboard_update) - Triggered when a change is made to a dashboard and the dashboard is saved.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


## Discussion events

[**DISCUSSION - CREATE**](/api/smartsheet/openapi/schemas/discussion_create) - Triggered when a row-level, grid-level, or workspace-level comment is added.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetRowId`: Id of the sheet row containing the discussion. (this property is included only if the discussion is on a sheet row)
* `sheetId`: Id of the sheet the discussion is on. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace the discussion is directly on. (This property is included only if the `sheetId` property above isn't included)


[**DISCUSSION - DELETE**](/api/smartsheet/openapi/schemas/discussion_delete) - Triggered when a comment that has no replies is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetRowId`: Id of the sheet row containing the discussion. (this property is included only if the discussion is on a sheet row)
* `sheetId`: Id of the sheet the discussion is on. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace the discussion is directly on. (This property is included only if the `sheetId` property above isn't included)


[**DISCUSSION - UPDATE**](/api/smartsheet/openapi/schemas/discussion_update) - Triggered when a reply is made to a comment, or a reply is deleted from a comment.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetRowId`: Id of the sheet row containing the discussion. (this property is included only if the discussion is on a sheet row)
* `sheetId`: Id of the sheet the discussion is on. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace the discussion is directly on. (This property is included only if the `sheetId` property above isn't included)


[**DISCUSSION - SEND**](/api/smartsheet/openapi/schemas/discussion_send) - Triggered when a discussion (i.e. whole thread of top comment and replies) is **directly** (i.e. instead of indirectly as part of another operation) sent by email to user(s) or user group(s). An individual `DISCUSSION - SEND` event is issued for each user or user group listed as recipient.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `recipientEmail`: Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested), e.g. "john@gmail.com". (This property is included only if the recipientGroupId property below isn't included)
* `recipientGroupId`: Single ID of a user group explicitly included in the recipient list, e.g. `"345987624123"`. (This property is included only if the `recipientEmail` property above isn't included)
* `sheetRowId`: Id of the sheet row containing the discussion. (this property is included only if the discussion is on a sheet row)
* `sheetId`: Id of the sheet the discussion is on. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace the discussion is directly on. (This property is included only if the `sheetId` property above isn't included)
* `includeAttachments`: Indicates whether the discussion was sent with its respective attachments: `"true"` or `"false"`.


[**DISCUSSION - SEND_COMMENT**](/api/smartsheet/openapi/schemas/discussion_sendcomment) - Triggered when a discussion comment (or discussion comment reply) is **directly** (i.e. instead of indirectly as part of another operation) sent by email to user(s) or user group(s). An individual `DISCUSSION - SEND_COMMENT` event is issued for each user or user group listed as recipient.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `recipientEmail`: Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested), e.g. "john@gmail.com". (This property is included only if the recipientGroupId property below isn't included)
* `recipientGroupId`: Single ID of a user group explicitly included in the recipient list, e.g. `"345987624123"`. (This property is included only if the `recipientEmail` property above isn't included)
* `commentId`: Id of the comment.
* `sheetRowId`: Id of the sheet row containing the discussion. (this property is included only if the discussion is on a sheet row)
* `sheetId`: Id of the sheet the discussion is on. (This property is included only if the `workspaceId` property below isn't included)
* `workspaceId`: Id of the workspace the discussion is directly on. (This property is included only if the `sheetId` property above isn't included)
* `includeAttachments`: Indicates whether the discussion comment (or discussion comment reply) was sent with its respective attachments: `"true"` or `"false"`.


## Folder events

[**FOLDER - CREATE**](/api/smartsheet/openapi/schemas/folder_create) - Triggered when a folder is created.

Folders can be created in the UI with the `Create New` button, by selecting the `Save As New` option on an existing folder, or through the API.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `folderName`: Name of the folder.
* `sourceFolderId`: Id of folder that was copied to create the new folder. (Only included if the folder was created as a result of a *save as new* or *copy*)


[**FOLDER - RENAME**](/api/smartsheet/openapi/schemas/folder_rename) - Triggered when a folder is renamed in the UI or via the API (update).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldName`: Old name of the folder.
* `newName`: New name of the folder.


[**FOLDER - SAVE_AS_NEW**](/api/smartsheet/openapi/schemas/folder_saveasnew) - Triggered when a user saves a copy of a folder by using the `Save As New` option via UI or `Copy Folder` via API.

This event is recorded for the original folder. Each `Save As New` event is paired with a `FOLDER - CREATE` event that is recorded for the copy of the folder.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**FOLDER - DELETE**](/api/smartsheet/openapi/schemas/folder_delete) - Triggered when a folder is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**FOLDER - REQUEST_BACKUP**](/api/smartsheet/openapi/schemas/folder_requestbackup) - Triggered when a user requests a backup for a folder.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `includeAttachments`: Indicates whether attachments should be included in the recurring backup: `"true"` or `"false"`.
* `sendCompletionEmail`: Indicates whether an email should be sent to the workspace's owner every time a recurring backup completes: `"true"` or `"false"`.


[**FOLDER - EXPORT**](/api/smartsheet/openapi/schemas/folder_export) - Triggered when a user exports the folder.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `formatType`: The format that the folder was exported ("excel" or "pdf"). Notice that the same value "excel" is displayed either when exporting to Microsoft Excel or when exporting to Google Sheets.


## Form events

[**FORM - CREATE**](/api/smartsheet/openapi/schemas/form_create) - Triggered when a sheet form is created.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `formName`: Name of the form.
* `sheetId`: Id of the form's sheet.


[**FORM - UPDATE**](/api/smartsheet/openapi/schemas/form_update) - Triggered when an existing sheet form is updated.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the form's sheet.


[**FORM - DEACTIVATE**](/api/smartsheet/openapi/schemas/form_deactivate) - Triggered when a sheet form is deactivated.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the form's sheet.


[**FORM - ACTIVATE**](/api/smartsheet/openapi/schemas/form_activate) - Triggered when a sheet form is activated.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the form's sheet.


[**FORM - DELETE**](/api/smartsheet/openapi/schemas/form_delete) - Triggered when a sheet form is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the form's sheet.


## Group events

[**GROUP - CREATE**](/api/smartsheet/openapi/schemas/group_create) - Triggered when a group is created.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `groupName`: Name of the group.


[**GROUP - DOWNLOAD_SHEET_ACCESS_REPORT**](/api/smartsheet/openapi/schemas/group_downloadsheetaccessreport) - Triggered when an admin downloads sheet access report for a group. This can be done through Group Management console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**GROUP - RENAME**](/api/smartsheet/openapi/schemas/group_rename) - Triggered when a group name is updated.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldName`: Old name of the group.
* `newName`: New name of the group.


[**GROUP - UPDATE**](/api/smartsheet/openapi/schemas/group_update) - Triggered when a group description is updated.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**GROUP - DELETE**](/api/smartsheet/openapi/schemas/group_delete) - Triggered when a group is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**GROUP - TRANSFER_OWNERSHIP**](/api/smartsheet/openapi/schemas/group_transferownership) - Triggered when a group ownership is transferred.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldOwnerUserId`: Id of the former group owner.
* `newOwnerUserId`: Id of the new group owner.


[**GROUP - ADD_MEMBER**](/api/smartsheet/openapi/schemas/group_addmember) - Triggered when a member is added to a group.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `memberUserId`: Id of the user that was added to the group.


[**GROUP - REMOVE_MEMBER**](/api/smartsheet/openapi/schemas/group_removemember) - Triggered when a member is removed from a group.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `memberUserId`: Id of the user that was removed from the group.


## Report events

[**REPORT - CREATE**](/api/smartsheet/openapi/schemas/report_create) - Triggered when a report is created (inserted).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `reportName`: Name of the new report
* `sourceObjectId`: Id of report that was copied to create the new report. (Only included if the report was created as a
result of a *copy* or *save as new*)
* `sourceGlobalTemplateId`: Id of the global template that was used to create the new report (Only included if the report was created using a global template. "New Blank Report" is a global template)
* `sourceType`: Type of object used to create the new sheet. Either "report" or "global_template".


[**REPORT - UPDATE**](/api/smartsheet/openapi/schemas/report_update) - Triggered when an existing report is updated.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**REPORT - LOAD**](/api/smartsheet/openapi/schemas/report_load) - Triggered when a report is viewed in the UI or loaded through the API.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**REPORT - RENAME**](/api/smartsheet/openapi/schemas/report_rename) - Triggered when an existing report is renamed.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `newName`: New name of the report
* `oldName`: Previous name of the report


[**REPORT - DELETE**](/api/smartsheet/openapi/schemas/report_delete) - Triggered when a report is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**REPORT - PURGE**](/api/smartsheet/openapi/schemas/report_purge) - Triggered when a report is deleted ("Delete Forever") from the deleted items bin.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**REPORT - RESTORE**](/api/smartsheet/openapi/schemas/report_restore) - Triggered when a report is in the deleted items bin and is restored (`Undelete`).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**REPORT - ADD_SHARE**](/api/smartsheet/openapi/schemas/report_addshare) - Triggered when a group or user is added to the report's sharing list, or when a group or user's share permissions are changed.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the group or user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the report.
* `userId`: Id of the user that was added to the report's sharing list. (Specific to share to user actions)
* `groupId`: Id of the group that was added to the report's sharing list. (Specific to share to group actions)


[**REPORT - REMOVE_SHARE**](/api/smartsheet/openapi/schemas/report_removeshare) - Triggered when a group or user is removed from a report's sharing list.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `userId`: Id of the user that was removed from the report's sharing list. (Specific to remove share from user actions)
* `groupId`: Id of the group that was removed from the report's sharing list. (Specific to remove share from group actions)


[**REPORT - ADD_SHARE_MEMBER**](/api/smartsheet/openapi/schemas/report_addsharemember) - Triggered when a user is added to a group that a report has been shared to via the report's sharing list, or via a workspace's sharing list.

If a report has been shared to a group directly via the report's sharing list, and via a workspace's sharing list, then an event will be generated for each of these shares.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level that has been granted to the user via group membership; it is not the user's effective access level for the report.
* `groupId`: Id of the group the user was added to.
* `userId`: Id of the user that was added to the group.
* `workspaceId`: Id of the workspace that the group is shared to. (Specific to cases where the report is shared to the group via a workspace's sharing list)


[**REPORT - REMOVE_SHARE_MEMBER**](/api/smartsheet/openapi/schemas/report_removesharemember) - Triggered when a user is removed from a group that a report has been shared to via the report's sharing list, or via a workspace's sharing list.

If a report has been shared to a group directly via the report's sharing list, and via a workspace's sharing list, then an event will be generated for each of these shares.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `groupId`: Id of the group that the user was removed from.
* `userId`: Id of user that was removed from the group.
* `workspaceId`: Id of the workspace that the group is shared to. (Specific to cases where the report is shared to the group via a workspace's sharing list)


[**REPORT - ADD_WORKSPACE_SHARE**](/api/smartsheet/openapi/schemas/report_addworkspaceshare) - Triggered when a group or user is added to a workspace's sharing list.

Note that this event will appear for each report that is in the workspace. If a group or user is added to a workspace's sharing list and the workspace is empty, then no events will be recorded.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the group or user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the report.
* `userId`: Id of the user that the workspace was shared to. (Specific to share to user actions)
* `groupId`: Id of the group that the workspace was shared to. (Specific to share to group actions)
* `workspaceId`: Id of the workspace that was shared to the group or user.


[**REPORT - REMOVE_WORKSPACE_SHARE**](/api/smartsheet/openapi/schemas/report_removeworkspaceshare) - Triggered when a group or user is removed from a workspace's sharing list.

Note that this event will appear for each report that is in the workspace. If a group or user is removed from a workspace's sharing list and the workspace is empty, then no events will be recorded.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `userId`: Id of the user that was removed from the workspace. (Specific to remove share from user actions)
* `groupId`: Id of the group that was removed from the workspace. (Specific to remove share from group actions)
* `workspaceId`: Id of the workspace the group or user was removed from.


[**REPORT - TRANSFER_OWNERSHIP**](/api/smartsheet/openapi/schemas/report_transferownership) - Triggered when the ownership of a report is transferred.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldUserId`: Id of the former report owner.
* `oldAccessLevel`: New access level of the former owner: `"ADMIN"`.
* `newUserId`: Id of the new report owner.
* `newAccessLevel`: New access level of the new owner: `"OWNER"`.


[**REPORT - MOVE**](/api/smartsheet/openapi/schemas/report_move) - Triggered when a report is moved between workspaces and/or folders.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `newParentContainerId`: Id of the destination folder for the move event. (Specific to actions where the report was moved to a different folder).
* `parentContainerId`: Id of the parent container of the report. (Specific to move events where a folder containing the report is moved to a folder in a different workspace, indicates that the report has moved to a new workspace but is still within the same folder)
* `folderName`: Name of the destination folder for the move event. (Specific to actions where the report was moved to a different folder).
* `workspaceId`: Id of the workspace the report is currently in. If the move was between two workspaces the `workspaceId` will be the Id of the destination workspace.


[**REPORT - SAVE_AS_NEW**](/api/smartsheet/openapi/schemas/report_saveasnew) - Triggered when a user saves a copy of a report by using the `Save As New` option.

This event is recorded for the original report. If the original reports belongs to a different organization, then an event will be generated for organization with original report and for the organization with copied report.

For copied report, `Save As New` event is paired with a `REPORT - CREATE` event.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**REPORT - SEND_AS_ATTACHMENT**](/api/smartsheet/openapi/schemas/report_sendasattachment) - Triggered when a user sends a report as email attachment to user(s) or user group(s).

An individual `REPORT - SEND_AS_ATTACHMENT` event is issued for each user or user group listed as recipient.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `recipientEmail`: Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested), e.g. "john@gmail.com". (This property is included only if the recipientGroupId property below isn't included)
* `recipientGroupId`: Single ID of a user group explicitly included in the recipient list, e.g. `"345987624123"`. (This property is included only if the `recipientEmail` property above isn't included)
* `formatType`: The format in which the report was sent: "excel", "pdf", "pdf_gantt", or "pdf_calendar".


[**REPORT - EXPORT**](/api/smartsheet/openapi/schemas/report_export) - Triggered when a user exports or prints the report.

Printing a report is a PDF export, then browser print, thus is reported as PDF export

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `formatType`: The format that the report was exported in "png_gantt" (gantt image), "mspdi" (Microsoft Project), "excel", or "pdf"


## Sheet events

[**SHEET - CREATE**](/api/smartsheet/openapi/schemas/sheet_create) - Triggered when a sheet is created (inserted).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sourceObjectId`: Id of sheet that was copied to create the new sheet. (Only included if the sheet was created as a
result of a *copy* or *save as new*)
* `sourceGlobalTemplateId`: Id of the global template that was used to create the new sheet (Only included if the sheet was created using a global template)
* `sourceTemplateId`: Id of the template used to create the sheet. (Only included if the sheet was created using a template, that is not a global template)
* `sourceType`: Type of object used to create the new sheet. Either "sheet", "template", "global_template", or "import".
* `sheetName`: Name of the newly created sheet


[**SHEET - UPDATE**](/api/smartsheet/openapi/schemas/sheet_update) - Triggered when an existing sheet is updated.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**SHEET - LOAD**](/api/smartsheet/openapi/schemas/sheet_load) - Triggered when a sheet is viewed in the UI or loaded through the API.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**SHEET - DELETE**](/api/smartsheet/openapi/schemas/sheet_delete) - Triggered when a sheet is deleted.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**SHEET - RENAME**](/api/smartsheet/openapi/schemas/sheet_rename) - Triggered when an existing sheet is renamed.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `newName`: New name of the sheet
* `oldName`: Previous name of the sheet


[**SHEET - PURGE**](/api/smartsheet/openapi/schemas/sheet_purge) - Triggered when a sheet is deleted ("Delete Forever") from the deleted items bin.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**SHEET - RESTORE**](/api/smartsheet/openapi/schemas/sheet_restore) - Triggered when a sheet is in the deleted items bin and is restored (`Undelete`).

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**SHEET - ADD_SHARE**](/api/smartsheet/openapi/schemas/sheet_addshare) - Triggered when a group or user is added to the sheet's sharing list, or when a group or user's share permissions are changed.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the group or user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the sheet.
* `userId`: Id of the user that was added to the sheet's sharing list. (Specific to share to user actions)
* `groupId`: Id of the group that was added to the sheet's sharing list. (Specific to share to group actions)


[**SHEET - REMOVE_SHARE**](/api/smartsheet/openapi/schemas/sheet_removeshare) - Triggered when a group or user is removed from a sheet's sharing list.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `userId`: Id of the user that was removed from the sheet's sharing list. (Specific to remove share from user actions)
* `groupId`: Id of the group that was removed from the sheet's sharing list. (Specific to remove share from group actions)


[**SHEET - ADD_SHARE_MEMBER**](/api/smartsheet/openapi/schemas/sheet_addsharemember) - Triggered when a user is added to a group that a sheet has been shared to via the sheet's sharing list, or via a workspace's sharing list.

If a sheet has been shared to a group directly via the sheet's sharing list, and via a workspace's sharing list, then an event will be generated for each of these shares.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level that has been granted to the user via group membership; it is not the user's effective access level for the sheet.
* `groupId`: Id of the group the user was added to.
* `userId`: Id of the user that was added to the group.
* `workspaceId`: Id of the workspace that the group is shared to. (Specific to cases where the sheet is shared to the group via a workspace's sharing list)


[**SHEET - REMOVE_SHARE_MEMBER**](/api/smartsheet/openapi/schemas/sheet_removesharemember) - Triggered when a user is removed from a group that a sheet has been shared to via the sheet's sharing list, or via a workspace's sharing list.

If a sheet has been shared to a group directly via the sheet's sharing list, and via a workspace's sharing list, then an event will be generated for each of these shares.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `groupId`: Id of the group that the user was removed from.
* `userId`: Id of user that was removed from the group.
* `workspaceId`: Id of the workspace that the group is shared to. (Specific to cases where the sheet is shared to the group via a workspace's sharing list)


[**SHEET - ADD_WORKSPACE_SHARE**](/api/smartsheet/openapi/schemas/sheet_addworkspaceshare) - Triggered when a group or user is added to a workspace's sharing list.

Note that this event will appear for each sheet that is in the workspace. If a group or user is added to a workspace's sharing list and the workspace is empty, then no events will be recorded.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `accessLevel`: Indicates the access level granted to the group or user: `"VIEWER"`, `"EDITOR"`, `"EDITOR_SHARE"`, or `"ADMIN"`. Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the sheet.
* `userId`: Id of the user that the workspace was shared to. (Specific to share to user actions)
* `groupId`: Id of the group that the workspace was shared to. (Specific to share to group actions)
* `workspaceId`: Id of the workspace that was shared to the group or user.


[**SHEET - REMOVE_WORKSPACE_SHARE**](/api/smartsheet/openapi/schemas/sheet_removeworkspaceshare) - Triggered when a group or user is removed from a workspace's sharing list.

Note that this event will appear for each sheet that is in the workspace. If a group or user is removed from a workspace's sharing list and the workspace is empty, then no events will be recorded.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `userId`: Id of the user that was removed from the workspace. (Specific to remove share from user actions)
* `groupId`: Id of the group that was removed from the workspace. (Specific to remove share from group actions)
* `workspaceId`: Id of the workspace the group or user was removed from.


[**SHEET - TRANSFER_OWNERSHIP**](/api/smartsheet/openapi/schemas/sheet_transferownership) - Triggered when the ownership of a sheet is transferred.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldUserId`: Id of the former sheet owner.
* `oldAccessLevel`: New access level of the former owner: `"ADMIN"`.
* `newUserId`: Id of the new sheet owner.
* `newAccessLevel`: New access level of the new owner: `"OWNER"`.


[**SHEET - SAVE_AS_NEW**](/api/smartsheet/openapi/schemas/sheet_saveasnew) - Triggered when a user saves a copy of a sheet by using the `Save As New` option.

This event is recorded for the original sheet.

If the original sheet belongs to a different organization, then an event will be generated for organization with original sheet and for the organization with copied sheet.

For copied sheet, `Save As New` event is paired with a `SHEET - CREATE` event.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**SHEET - SAVE_AS_TEMPLATE**](/api/smartsheet/openapi/schemas/sheet_saveastemplate) - Triggered when a user saves a copy of a sheet as a template by using the `Save As Template` option.

This event is recorded for the original sheet.

If the original sheet belongs to a different organization, then an event will be generated for organization with original sheet and for the organization with copied sheet.

For copied sheet, `Save As Template` event is paired with a `SHEET - CREATE` event.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**SHEET - SEND_AS_ATTACHMENT**](/api/smartsheet/openapi/schemas/sheet_sendasattachment) - Triggered when a user sends a sheet as email attachment to user(s) or user group(s).

An individual `SHEET - SEND_AS_ATTACHMENT` event is issued for each user or user group listed as recipient.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `recipientEmail`: Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested), e.g. "john@gmail.com". (This property is included only if the recipientGroupId property below isn't included)
* `recipientGroupId`: Single ID of a user group explicitly included in the recipient list, e.g. `"345987624123"`. (This property is included only if the `recipientEmail` property above isn't included)
* `formatType`: The format in which the sheet was sent: "excel", "pdf", "pdf_gantt", or "pdf_calendar".


[**SHEET - SEND_ROW**](/api/smartsheet/openapi/schemas/sheet_sendrow) - Triggered when a user sends selected sheet row(s) by email to user(s) or user group(s).

An individual `SHEET - SEND_ROW` event is issued for each user or user group listed as recipient.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `recipientEmail`: Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested), e.g. "john@gmail.com". (This property is included only if the recipientGroupId property below isn't included)
* `recipientGroupId`: Single ID of a user group explicitly included in the recipient list, e.g. `"345987624123"`. (This property is included only if the `recipientEmail` property above isn't included)
* `rowCount`: Number of rows sent, e.g. `"2"`.
* `includeAttachments`: Indicates whether the row(s) were sent with their respective attachments: `"true"` or `"false"`.
* `includeDiscussions`: Indicates whether the row(s) were sent with their respective discussion comments: `"true"` or `"false"`.


[**SHEET - MOVE_ROW**](/api/smartsheet/openapi/schemas/sheet_moverow) - Triggered when row(s) are moved from one sheet to another.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `includeAttachments`: Indicates whether the row(s) moved with their respective attachments: `"true"` or `"false"`.
* `includeDiscussions`: Indicates whether the row(s) moved with their respective discussion comments: `"true"` or `"false"`.
* `sourceSheetId`: Id of sheet from where the rows moved. (Only included when the `objectId` property contains the Id of the destination sheet)
* `destinationSheetId`: Id of sheet to where the rows moved. (Only included when the `objectId` property contains the Id of the source sheet)
* `rowsMoved`: Number of rows moved, e.g. `"2"`.


[**SHEET - COPY_ROW**](/api/smartsheet/openapi/schemas/sheet_copyrow) - Triggered when row(s) are copied from one sheet to another.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `includeAttachments`: Indicates whether the row(s) were copied with their respective attachments: `"true"` or `"false"`.
* `includeDiscussions`: Indicates whether the row(s) were copied with their respective discussion comments: `"true"` or `"false"`.
* `sourceSheetId`: Id of sheet from where the rows were copied. (Only included when the `objectId` property contains the Id of the destination sheet)
* `destinationSheetId`: Id of sheet to where the rows were copied. (Only included when the `objectId` property contains the Id of the source sheet)
* `rowsCopied`: Number of rows copied, e.g. `"2"`.


[**SHEET - CREATE_CELL_LINK**](/api/smartsheet/openapi/schemas/sheet_createcelllink) - Triggered when a link to another sheet cell is created in a sheet cell.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `cellLinkSourceSheetId`: Id of sheet referenced by the cell link.


[**SHEET - MOVE**](/api/smartsheet/openapi/schemas/sheet_move) - Triggered when a sheet is moved between workspaces and/or folders.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `newParentContainerId`: Id of the destination folder for the move event. (Specific to actions where the sheet was moved to a different folder).
* `parentContainerId`: Id of the parent container of the sheet. (Specific to move events where a folder containing the sheet is moved to a folder in a different workspace, indicates that the sheet has moved to a new workspace but is still within the same folder)
* `folderName`: name of the destination folder for the move event. (Specific to actions where the sheet was moved to a different folder).
* `workspaceId`: Id of the workspace the sheet is currently in. If the move was between two workspaces the `workspaceId` will be the Id of the destination workspace.


[**SHEET - EXPORT**](/api/smartsheet/openapi/schemas/sheet_export) - Triggered when a user exports or prints the sheet.

Printing a sheet is a PDF export, then browser print, thus is reported as PDF export.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `formatType`: The format that the report was exported in "png_gantt" (gantt image), "mspdi" (Microsoft Project), "excel", or "pdf"


[**SHEET - REQUEST_BACKUP**](/api/smartsheet/openapi/schemas/sheet_requestbackup) - Triggered when a user requests a backup for a sheet.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `includeAttachments`: Indicates whether attachments should be included in the recurring backup: `"true"` or `"false"`.
* `sendCompletionEmail`: Indicates whether an email should be sent to the workspace's owner every time a recurring backup completes: `"true"` or `"false"`.


## Update request events

[**UPDATE_REQUEST - CREATE**](/api/smartsheet/openapi/schemas/updaterequest_create) - Triggered when a user creates a sheet update request.

Notice that an update request is created whenever the user sends a new update request via the UI. Also, notice that even though update requests can be sent from a report, it is in fact an update request on the sheet that owns the rows sent in the update request.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `sheetId`: Id of the sheet that owns the rows sent in the update request.
* `rowCount`: Number of rows sent, e.g. `"2"`.
* `includeAttachments`: Indicates whether the row(s) were sent with their respective attachments: `"true"` or `"false"`.
* `includeDiscussions`: Indicates whether the row(s) were sent with their respective discussion comments: `"true"` or `"false"`.


## User events

[**USER - ADD_TO_ACCOUNT**](/api/smartsheet/openapi/schemas/user_addtoaccount) - Triggered when a user is added to an auto-provisioned organization account by an admin or when the user logs in with email associated with an auto-provisioned domain.

**additionalDetails:**

* `emailAddress`: Single email address of the user added to account, e.g. "john@gmail.com".
* `userTypes`: Comma-delimited list of user types, e.g. `SYSTEM_ADMIN`, `LICENSED_USER`, `GROUP_ADMIN`, `RESOURCE_VIEWER`, `JIRA_ADMIN`, `JIRA_USER`, `SALESFORCE_ADMIN`, `SALESFORCE_USER`.
The full list of available user types can be seen here. Please notice that user types Unlicensed User and Free Collaborator are not applicable for this event.


[**USER - ACCEPT_INVITE**](/api/smartsheet/openapi/schemas/user_acceptinvite) - Triggered when a user accepts an invitation to join an organization account through email.

**additionalDetails:**

* `emailAddress`: Single email address of the user accepting invitation to join the account, e.g. "john@gmail.com".


[**USER - DECLINE_INVITE**](/api/smartsheet/openapi/schemas/user_declineinvite) - Triggered when a user declines an invitation to join an organization account through email.

**additionalDetails:**

* `emailAddress`: Single email address of the user accepting invitation to join the account, e.g. "john@gmail.com".
* `declineReason`: Decline reason for the invitation: "ACCEPT_FAILED_REMOVED_FROM_ORG", "ACCEPT_FAILED_IN_OTHER_ORG", "ACCEPT_FAILED_IS_PAID_USER", "ACCEPT_FAILED_NEEDS_LICENSE", "ACCEPT_FAILED_INSUFFICIENT_LICENSES", "ACCEPT_FAILED_NOT_ELIGIBLE_FOR_TRIAL", "ACCEPT_FAILED", "ACCEPT_FAILED_NEEDS_GROUP_ADMIN_ROLE", "ACCEPT_FAILED_UAP_VIOLATION", or "DECLINE_SUCCESS".


[**USER - SEND_INVITE**](/api/smartsheet/openapi/schemas/user_sendinvite) - Triggered when an admin sends/resends an invitation link to the user. This can be done through User Management console on UI or via the API (Add User).

**additionalDetails:**

* `emailAddress`: Single email address of the user added to the organization account, e.g. "john@gmail.com".
* `userTypes`: Comma-delimited list of user types: `SYSTEM_ADMIN`, `LICENSED_USER`, `GROUP_ADMIN`, `RESOURCE_VIEWER`, `JIRA_ADMIN`, `JIRA_USER`, `SALESFORCE_ADMIN`, `SALESFORCE_USER`.
The full list of available user types can be seen here. Please notice that user types Unlicensed User and Free Collaborator are not applicable for this event.


[**USER - DOWNLOAD_SHEET_ACCESS_REPORT**](/api/smartsheet/openapi/schemas/user_downloadsheetaccessreport) - Triggered when an admin downloads sheet access report for a user. This can be done through User Management console on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**USER - REMOVE_FROM_GROUPS**](/api/smartsheet/openapi/schemas/user_removefromgroups) - Triggered when an admin removes an user from all groups owned by users on the organization account. This can be done through User Management on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**USER - REMOVE_SHARES**](/api/smartsheet/openapi/schemas/user_removeshares) - Triggered when an admin removes the user from all groups and from sharing for all sheets, workspaces, and dashboards owned by users on the organization account. This can be done through User Management on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**USER - REMOVE_FROM_ACCOUNT**](/api/smartsheet/openapi/schemas/user_removefromaccount) - Triggered when a user is removed from the organization account. This can be done through User Management on UI or via the API (Remove User).

**additionalDetails:**

* `emailAddress`: Single email address of the user removed from the organization account, e.g. "john@gmail.com".


[**USER - SEND_PASSWORD_RESET**](/api/smartsheet/openapi/schemas/user_sendpasswordreset) - Triggered when an admin sends a password reset email. This can be done through User Management on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.


[**USER - TRANSFER_OWNED_ITEMS**](/api/smartsheet/openapi/schemas/user_transferowneditems) - Triggered when an admin transfers ownership of all items (sheets/reports/dashboards/workspaces) owned by a user to another user. This can be done through User Management on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldOwnerUserId`: Id of the former owner. `oldOwnerUserId` property is the same as `objectId` property in this case.
* `newOwnerUserId`: Id of the new owner.


[**USER - TRANSFER_OWNED_GROUPS**](/api/smartsheet/openapi/schemas/user_transferownedgroups) - Triggered when an admin transfers ownership of all groups owned by a user to another user. This can be done through User Management on UI.

**additionalDetails:**

* `emailAddress`: Email address of the user responsible for the activity.
* `oldOwnerUserId`: Id of the former owner. `oldOwnerUserId` property is the same as `objectId` property in this case.
* `newOwnerUserId`: Id of the new owner.


[**USER - UPDATE_USER**](/api/smartsheet/openapi/schemas/user_updateuser) - Triggered when the user account is updated. This can be done through User Management on UI or via the API.

**additionalDetails:**

[...]
